[ID CS3] impossible d'ouvrir un fichier ID de même niveau

ccciolll

Vétéran
Club MacG
Bonjour, j'ai reçu d'un client des fichiers .indd

Dans le Finder ils prennent l'icône ID CS3, mais ça n'est pas forcément une preuve.
J'ai tenté de les ouvrir avec mon InDesign CS3 et là il ne me dit pas, comme le ferait illustrator, "[…] Impossible d'ouvrir ce fichier car il a été créé avec une version plus récente […]" donc je suppose que c'est enregistré au moins en CS3 voire inférieur.

Par contre il me dit d'abord
Modules externes manquants :
CONDITIONNALTEXT.RPLN
WORLDREADY.RPLN
[…]
Voulez-vous quand-même l'ouvrir ?

Ce à quoi je réponds OK

Puis il dit
Impossible d'ouvrir le fichier
FormField.InDesignPlugin
AppFrameworks.InDesignPlugin
(et une liste d'une petitre trentaine d'autres)
Impossible d'ouvrir "blabla.indd"
Mettez à jour vos modules ou installez la dernière version d'Adobe InDesign

fin de non recevoir, va te faire f…, je peux crever.

Adobe updater m'assure que toute ma CS est à jour…

Alors quoi ? C'est quoi ces modules ou plugins qui manqueraient à mon ID et empêcheraient d'ouvrir les fichiers indd ?
Dans Xpress, à part un bug historique qui a disparu depuis, l'absence d'un plugin n'a jamais empêché d'ouvrir le fichier. Et là il en manque 30 ! Et je n'ai pas trouvé le gestionnaire d'extension de Indd pour tenter d'activer ces fameux plugins (si le problème venait de là).

---------- Nouveau message ajouté à 08h17 ---------- Le message précédent a été envoyé à 07h55 ----------

AU cas où, j'ai quand même tenté avec une CS4, mais j'ai eu le même résultat.

Par contre, avec Acrobat, j'ai eu un peu plus d'infos.
Acrobat dit :
Acrobat n'a pas pu ouvrir blabla.indd car le type de fichier n'est pas pris en charge ou le fichier est endommagé […]

s'agissant de fichiers qui ont été envoyé par mail sans zippage et passés entre deux par un PC… Je pense que le souci pourrait venir de là. Mais dans ce cas, pourquoi indd viendrait m'embrouiller avec un message d'erreur à propos de "modules à mettre à jour" ?
 

ccciolll

Vétéran
Club MacG
Personne ici n'a CS5, c'est déjà exceptionnel qu'il y ait une CS4.

Mais si c'était un problème de version, InDesign le dirait, non ?

Pour l'instant, j'ai surtout demandé au commercial interne de demander au commercial du client de demander au graphiste du client (… … …) de bien vouloir zipper ses fichier (et accessoirement d'ajouter les fichiers d'image et de police (ils n'étaient pas fournis, ça donne une idée du niveau)) avant de me les renvoyer, et aussi de les accompagner d'une version PDF (ce qui est également la moindre des choses de nos jours où un fichier de mise en page peut provenir de Xpress, de InDesign, et chacun dans x versions qui se renouvellent à un rythme aberrant…)

On verra ce que ça va donner; soyons pas pressé, il y a bcp d'intermédiaires (j'adore ça).
 

ccciolll

Vétéran
Club MacG
Non.
Il t'averti en général du "manque" de modules comme dans ton message…

Ah ben bravo Adobe.
Pourquoi ne pas faire un message clair ?
Ils savent bien le faire pour Illustrator.

Un export en .inx (ou .idml puis .inx si CS5) serait un plus… ;)

Oui, probablement.
Comme de toutes façons je dois recomposer dans Xpress, j'espère aussi et surtout qu'il me fournira un PDF, je retrouve plus vite mes petits dans Ai que dans Id. Mais une fois que j'ai un inx, je peux faire le PDF moi-même je suppose.
 

claude72

Membre d’élite
Club MacG
13 Février 2005
3 657
277
60
Dans le Finder ils prennent l'icône ID CS3, mais ça n'est pas forcément une preuve.
Effectivement, ça ne veut rien dire ! le Finder trouve une extension .indd (et/ou une ressource "Creator") indiquant que le fichier est un fichier InDesign, donc il lui associe automatiquement l'icône du logiciel correspondant le plus récent qu'il trouve sur ton disque-dur.

(et si tu installes une CS4 sur ton Mac, les icônes de tous tes fichiers CS3 deviendront des icônes CS4 !)



Par contre il me dit d'abord
Modules externes manquants :
CONDITIONNALTEXT.RPLN
WORLDREADY.RPLN
[…]
Voulez-vous quand-même l'ouvrir ?

Ce à quoi je réponds OK

Puis il dit
Impossible d'ouvrir le fichier
FormField.InDesignPlugin
AppFrameworks.InDesignPlugin
(et une liste d'une petitre trentaine d'autres)
Impossible d'ouvrir "blabla.indd"
Mettez à jour vos modules ou installez la dernière version d'Adobe InDesign

fin de non recevoir, va te faire f…, je peux crever.
C'est ce que dit InDesign quand on essaye d'ouvrir des doc avec une version inférieure à celle qui a créé le doc... et puisque la CS4 ne peut pas non plus les ouvrir, ça veut dire que ces fichiers sont en CS5 ou CS5.5.



Adobe updater m'assure que toute ma CS est à jour…
Ça n'a rien à voir : l'updater ne s'occupe que des mises à jour mineures (gratuites), autrement dit les mises à jour techniques (5.01, 5.02, 5.03, etc.)... ce que les Anglo-saxons appellent les updates...

... alors que là tu as besoin d'une mise à jour majeure (payante) : passer de la CS3 à la CS4..., et même peut-être à la CS5 ou CS5.5, ce que les Anglo-saxons appellent une upgrade.
 
Dernière édition:

ccciolll

Vétéran
Club MacG

Non je parle vraiment de reCOMPOSER.

Il me faut des trucs nickel et à ma sauce car c'est dans le but d'en faire ensuite des fichiers de base pour import de données via Xdata.


Effectivement, ça ne veut rien dire ! le Finder trouve une extension .indd (et/ou une ressource "Creator" indiquant que le fichier est un fichier InDesign), donc il lui associe automatiquement l'icône du logiciel correspondant le plus récent qu'il trouve sur ton disque-dur.

oui, j'avais eu aussi un problème similaire quand je voulais identifier tous les fichiers ai et eps CS4 sur le serveur pour pouvoir les mettre dans un dossier "CS4 à passer en CS3" et faire ça aux heures où le poste qui a CS4 est dispo.

C'est ce que dit InDesign quand on essaye d'ouvrir des doc avec une version inférieure à celle qui a créé le doc... et puisque la CS4 ne peut pas non plus les ouvrir, ça veut dire que ces fichiers sont en CS5 ou CS5.5.

oui, c'est ce qu'on m'a appris il y a peu. Et je trouve le message de InDesign franchement sibyllin.

Ça n'a rien à voir : l'updater ne s'occupe que des mises à jour mineures (gratuites), autrement dit les mises à jour techniques (5.01, 5.02, 5.03, etc.)... ce que les Anglo-saxons appellent les updates...

oui je sais bien, mais à l'époque je croyais encore mot pour mot qu'il ne me manquait que des mises à jour de modules de ma CS3 (comme le laissait croire le message d'erreur.

:)
Direction version d'éval CS5.5 puis export .idml puis CS4 export .inx… La routine quoi :(

Mouaif, un peu complexe pour juste un dossier. plus simple de demander au client d'exporter sous CS4 ou direct en PDF en attendant qu'une CS5 soit achetée pour la boîte.
 

claude72

Membre d’élite
Club MacG
13 Février 2005
3 657
277
60
oui, c'est ce qu'on m'a appris il y a peu. Et je trouve le message de InDesign franchement sibyllin.
C'est peut-être dû tout simplement à la structure de InDesign : dans ses 1res versions, sous OS classic, InDesign était un logiciel entièrement composé de modules : il y avait une application de base, légère (genre 2 Mo), et TOUTES les fonctions, y compris les plus basiques (et même les palettes) étaient des plug-ins "connectés" à cette appli centrale...

... sous OS X, cette architecture ne semble pas avoir été conservé et InDesign ressemble à une application comme une autre, mais peut-être qu'en fait cette structure existe toujours, sans être visible pour l'utilisateur, et que d'une version à l'autre seuls certains plug-ins changent de version !